---
title: "debug_traceTransaction"
description: "Returns the detailed trace of a transaction execution (Base Sepolia)"
url: "https://blockreq.com/docs/build/api-reference/base-sepolia/debug_traceTransaction/"
---

# debug_traceTransaction

**Network:** Base Sepolia · Testnet · Chain ID `84532` (`0x14a34`)

**Counts as 5 requests.** See [Request Counting](https://blockreq.com/docs/pricing/request-counting/index.md).

> **Tier**: Paid plan required. Not available on Free.

## Description

Returns the detailed trace of a transaction execution.

## Parameters

| Parameter         | Type     | Required | Description      |
| ----------------- | -------- | -------- | ---------------- |
| `transactionHash` | `hex`    | Yes      | Transaction hash |
| `tracerConfig`    | `object` | No       | Tracer config    |

## Request

```json
{
  "jsonrpc": "2.0",
  "method": "debug_traceTransaction",
  "params": [
    "0x02b39a7c1f83eebf04e785ffc31a13543cc77353461e02f30f4ea48ef5db368e",
    {
      "tracer": "callTracer"
    }
  ],
  "id": 1
}
```

## Code Examples

**cURL**

```bash
curl -X POST https://base-sepolia-rpc.blockreq.com/v1/rpc/public \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","method":"debug_traceTransaction","params":["0x02b39a7c1f83eebf04e785ffc31a13543cc77353461e02f30f4ea48ef5db368e",{"tracer":"callTracer"}],"id":1}'
```

**TypeScript**

```typescript
const response = await fetch("https://base-sepolia-rpc.blockreq.com/v1/rpc/public", {
  method: "POST",
  headers: { "Content-Type": "application/json" },
  body: JSON.stringify({
  "jsonrpc": "2.0",
  "method": "debug_traceTransaction",
  "params": [
    "0x02b39a7c1f83eebf04e785ffc31a13543cc77353461e02f30f4ea48ef5db368e",
    {
      "tracer": "callTracer"
    }
  ],
  "id": 1
}),
});
const data = await response.json();
console.log(data.result);
```

**Python**

```python
import requests

response = requests.post(
    "https://base-sepolia-rpc.blockreq.com/v1/rpc/public",
    json={
  "jsonrpc": "2.0",
  "method": "debug_traceTransaction",
  "params": [
    "0x02b39a7c1f83eebf04e785ffc31a13543cc77353461e02f30f4ea48ef5db368e",
    {
      "tracer": "callTracer"
    }
  ],
  "id": 1
}
)
print(response.json()["result"])
```

**Go**

```go
package main

import (
	"bytes"
	"encoding/json"
	"fmt"
	"io"
	"net/http"
)

func main() {
	payload := []byte(`{"jsonrpc":"2.0","method":"debug_traceTransaction","params":["0x02b39a7c1f83eebf04e785ffc31a13543cc77353461e02f30f4ea48ef5db368e",{"tracer":"callTracer"}],"id":1}`)
	resp, err := http.Post(
		"https://base-sepolia-rpc.blockreq.com/v1/rpc/public",
		"application/json",
		bytes.NewBuffer(payload),
	)
	if err != nil {
		panic(err)
	}
	defer resp.Body.Close()

	body, _ := io.ReadAll(resp.Body)
	var result map[string]interface{}
	json.Unmarshal(body, &result)
	fmt.Println(result["result"])
}
```

**viem**

```typescript
import { createPublicClient, http } from "viem";

const client = createPublicClient({
  transport: http("https://base-sepolia-rpc.blockreq.com/v1/rpc/public"),
});

const result = await client.request({
  method: "debug_traceTransaction",
  params: ["0x02b39a7c1f83eebf04e785ffc31a13543cc77353461e02f30f4ea48ef5db368e",{"tracer":"callTracer"}],
});
console.log(result);
```

**Foundry**

```bash
cast rpc --rpc-url https://base-sepolia-rpc.blockreq.com/v1/rpc/public debug_traceTransaction 0x02b39a7c1f83eebf04e785ffc31a13543cc77353461e02f30f4ea48ef5db368e {"tracer":"callTracer"}
```

**Hardhat**

```javascript
const { ethers } = require("hardhat");

async function main() {
  const provider = new ethers.JsonRpcProvider("https://base-sepolia-rpc.blockreq.com/v1/rpc/public");
  const result = await provider.send("debug_traceTransaction", ["0x02b39a7c1f83eebf04e785ffc31a13543cc77353461e02f30f4ea48ef5db368e",{"tracer":"callTracer"}]);
  console.log(result);
}

main();
```
